PDA

View Full Version : Can't get 6.5.4 installed on OpenSuSE10.3 NEED HELP!



scholl_r
2007-12-21, 10:28
I am a newbie with LINUX, using OpenSuSE10.3. Downloaded the RPM package of SlimServer6.5.4 and installed using YAST. When I tried to start slimserver.pl, the system indicated that DBD::mysql and YAML::Syck modules failed to load. I ran /usr/local/slimserver/Bin/build-perl-modules.pl as requested, and after several tries, and after installing C++ complier, make, etc., etc., I got the Syck in OK. Now slimserver.pl simply reports that DBD::mysql fails to load, and asks me to run the build-perl-modules script. When I do this, I accept the default location for the perl binary (/usr/bin/perl), and give /usr/local/slimserver as the location to download the files to. The program indicates it is downloading, then uncompressing, then configuring, and gives the following messages:
________
PERL5LIB=/usr/local/slimserver/DBI-1.5/blib/lib:/usr/local/slimserver/DBI-1.50/arch
/usr/bin/perl Makefile.PL
Building ...
dbdimp.c: In function 'mysql_st_internal_execute41':
dbdimp.c:2461 warning: 'rows' may be used unitialized in this function
mysql.xs: In function 'XS_DBD_mysql_GetInfo_dbd_mysql_get_info':
mysql.xs:631: warning: implicit declaration of function 'is_prefix'
mysql.xs:639: warning: ignoring return value of 'Perl_newSViv, declared with attribute warn_unused_result
mysql.xs:642: warning: ignoring return value of 'Perl_newSViv, declared with attribute warn_unused_result
mysql.xs:645: warning: ignoring return value of 'Perl_newSVpv, declared with attribute warn_unused_result
Library for DBD-mysql-3.0002.tar.gz is OK!
All done!
________
At this point I get back to the command line. However, when I again attempt to run slimserver.pl, I get the same message I got before - that is:
"The following modules failed to load: DBD::mysql
To download and complile them .... etc, etc."

HELP - I have tried entering the perl library explicitly, it makes no difference, nor does it make a difference if I download the package to the root directory, or to /usr/local/slimserver/Bin. Nothing I have tried seems to work.

Thanks

jimflanagan
2007-12-21, 12:24
scholl_r wrote:
> I am a newbie with LINUX, using OpenSuSE10.3. Downloaded the RPM
> package of SlimServer6.5.4 and installed using YAST. When I tried to
> start slimserver.pl, the system indicated that DBD::mysql and
> YAML::Syck modules failed to load. I ran
> /usr/local/slimserver/Bin/build-perl-modules.pl as requested, and after
> several tries, and after installing C++ complier, make, etc., etc., I
> got the Syck in OK. Now slimserver.pl simply reports that DBD::mysql
> fails to load, and asks me to run the build-perl-modules script. When
> I do this, I accept the default location for the perl binary
> (/usr/bin/perl), and give /usr/local/slimserver as the location to
> download the files to. The program indicates it is downloading, then
> uncompressing, then configuring, and gives the following messages:
> ________
> PERL5LIB=/usr/local/slimserver/DBI-1.5/blib/lib:/usr/local/slimserver/DBI-1.50/arch
>
> /usr/bin/perl Makefile.PL
> Building ...
> dbdimp.c: In function 'mysql_st_internal_execute41':
> dbdimp.c:2461 warning: 'rows' may be used unitialized in this function
> mysql.xs: In function 'XS_DBD_mysql_GetInfo_dbd_mysql_get_info':
> mysql.xs:631: warning: implicit declaration of function 'is_prefix'
> mysql.xs:639: warning: ignoring return value of 'Perl_newSViv, declared
> with attribute warn_unused_result
> mysql.xs:642: warning: ignoring return value of 'Perl_newSViv, declared
> with attribute warn_unused_result
> mysql.xs:645: warning: ignoring return value of 'Perl_newSVpv, declared
> with attribute warn_unused_result
> Library for DBD-mysql-3.0002.tar.gz is OK!
> All done!
> ________
> At this point I get back to the command line. However, when I again
> attempt to run slimserver.pl, I get the same message I got before -
> that is:
> "The following modules failed to load: DBD::mysql
> To download and complile them .... etc, etc."
>
> HELP - I have tried entering the perl library explicitly, it makes no
> difference, nor does it make a difference if I download the package to
> the root directory, or to /usr/local/slimserver/Bin. Nothing I have
> tried seems to work.
>
> Thanks
>
>
>
Did you set slimserver up to run automatically, with the start up
script? Its been a while since I've installed mine, but I seem to
remember having similar issues. I set up the startup script and all was
fine. Make sure to mark the script as executable.

Jim F

scholl_r
2007-12-21, 16:14
Thanks for the fast reply, but I get the same result when I try to run the init script - the program replies that the module DBD::mysql failed to load. I think there is something fundamental about this which I haven't fathomed yet.
Any other ideas out there?